PHP-инклюдинг в Knusperleicht Shoutbox

Дата публикации:
05.08.2006
Всего просмотров:
2096
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Knusperleicht Shoutbox 4.x
Уязвимые версии: Knusperleicht Shoutbox 4.4, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "sb_include_path" в сценарии index.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://victim/[path]/index.php?SB_INCLUDE_PATH=evilcode.txt?&cmd=id

URL производителя: www.knusperleicht.at/index.php?knuspi=phpecke

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: ShoutBox v4.4 Remote Command Execution

или введите имя

CAPTCHA